using System;
using System.Text;

class Program
{
    static string NeopadajuciNiz(int leva, int desna, uint[] niz)
    {
        if (desna - leva <= 1) { return "DA"; }
        var brojac = 0;
        for(int i = leva; i <= desna; i++)
        {
            if (niz[i] > niz[i+1]) 
            {
                brojac++;
                if (brojac == 2)
                {
                    return "NE";
                }
                continue;
            }
        }
        return "DA";
    }
    static void Main()
    {
        var dimenzijaNiza = uint.Parse(Console.ReadLine());
        var niz = Array.ConvertAll(Console.ReadLine().Split(' '), uint.Parse);

        var izlaz = new StringBuilder();
        var brojUpita = uint.Parse(Console.ReadLine());
        for (var i = 0; i < brojUpita; i++)
        {
            var upit = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
            izlaz.AppendLine(NeopadajuciNiz(upit[0] - 1, upit[1] - 1, niz));
        }
        Console.Write(izlaz);
        Console.ReadLine();
    }
}